n_circles = 20; 
color_length = 100; 
image_size = 256; 
max_radius = 20; 
min_radius = -20;
I = zeros(image_size, image_size, 1); 

I2 = double(imread('D:\Papers\Matconvnet Learning\2017TIP Beyond a Gaussian Denoiser--Residual Learning of Deep CNN for Image Denoising\DnCNN-master\DnCNN-master\testsets\Set12\05.png'));
I3 = I2;


value = floor((max_radius - min_radius).*rand(1,image_size/2-1) + min_radius);
radius =[1:image_size/2-1];

for i = 1:length(radius)
   I1 = MidpointCircle(I, radius(i), 128, 128, value(i));
   I2 = I2 + I1;
end
figure,imshow(I2,[])
figure,imshow(I2-I3,[])